githubEdit

Bulk Update or Rotate Encryption Keys

Publish multiple revocation or suspension updates, or rotate encryption keys using cheqd Studio.

The /credential-status/update/encrypted API enables users to update the indices of a Status List or rotate the encryption keys. This may be useful for revoking Credentials in bulk, rather than submitting individual /credential/revoke requests.

When a new encrypted Status List resource is published, this will also encrypt the latest version with a new set of encryption keys. This may therefore be used to rotate encryption keys, even if the listed indices are kept the same.

Update an existing encrypted StatusList2021 or BitstringStatusList credential status list.

post
/credential-status/update/encrypted
Authorizations
x-api-keystringRequired
Query parameters
listTypestring · enumRequired

The type of Status List.

Possible values:
statusActionstringRequired

The update action to be performed on the encrypted status list, can be revoke, suspend or reinstate

Body
didstring · uriRequired

DID of the StatusList2021 publisher.

statusListNamestringRequired

The name of the StatusList2021 DID-Linked Resource to be updated.

indicesinteger[]Required

List of credential status indices to be updated. The indices must be in the range of the status list.

statusListVersionstringOptional

Optional field to assign a human-readable version in the StatusList2021 DID-Linked Resource.

symmetricKeystringRequired

The symmetric key used to encrypt the StatusList2021 DID-Linked Resource.

feePaymentAddressstringOptional

The cheqd/Cosmos payment address where payments to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource need to be sent.

Example: cheqd1qs0nhyk868c246defezhz5eymlt0dmajna2csg
feePaymentAmountnumberOptional

Amount in CHEQ tokens to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource.

Default: 20
feePaymentWindownumberOptional

Time window (in minutes) within which the payment to unlock the encrypted StatusList2021 or BitstringStatusList DID-Linked Resource is considered valid.

Default: 10
Responses
chevron-right
200

The request was successful.

application/json
and
anyOptional
or
or
and
post
/credential-status/update/encrypted

Last updated

Was this helpful?